com.sun.grid.ca

## Class GridCAException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.grid.ca.GridCAException

- All Implemented Interfaces:
    java.io.Serializable

      public class GridCAException
      extends java.lang.Exception

  This exception wraps all errors of the GridCA
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridCAException(java.lang.String message)` Creates a new instance of CAException
    `GridCAException(java.lang.String message, java.lang.String bundle)` Creates a new instance of GridCAException with a localized message
    `GridCAException(java.lang.String message, java.lang.String bundle, java.lang.Object[] params)` Creates a new instance of GridCAException with a localized message
    `GridCAException(java.lang.String message, java.lang.Throwable cause)` Creates a new instance of GridCAException.
    `GridCAException(java.lang.String message, java.lang.Throwable cause, java.lang.String bundle, java.lang.Object[] params)` Creates a new instance of GridCAException with a localized message

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GridCAException

          public GridCAException(java.lang.String message)

      Creates a new instance of CAException
      Parameters:
        `message` - the message

    - #### GridCAException

          public GridCAException(java.lang.String message,
                                 java.lang.Throwable cause)

      Creates a new instance of GridCAException.
      Parameters:
        `message` - the message
        `cause` - the cause of the exception

    - #### GridCAException

          public GridCAException(java.lang.String message,
                                 java.lang.String bundle)

      Creates a new instance of GridCAException with a localized message
      Parameters:
        `message` - the message
        `bundle` - the resource bundle

    - #### GridCAException

          public GridCAException(java.lang.String message,
                                 java.lang.String bundle,
                                 java.lang.Object[] params)

      Creates a new instance of GridCAException with a localized message
      Parameters:
        `message` - the message
        `bundle` - the resource bundle
        `params` - parameters for the message

    - #### GridCAException

          public GridCAException(java.lang.String message,
                                 java.lang.Throwable cause,
                                 java.lang.String bundle,
                                 java.lang.Object[] params)

      Creates a new instance of GridCAException with a localized message
      Parameters:
        `message` - the message
        `cause` - the cause of the error
        `bundle` - the resource bundle
        `params` - parameters for the message